package it.danieleverducci.subitobeers

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import it.danieleverducci.subitobeers.entities.Beer
import it.danieleverducci.subitobeers.ui.BeerDetailFragment

class MainActivity : AppCompatActivity(), BeerNavigation {

    companion object {
        val TAG = "MainActivity"
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
    }

    override fun showBeerDetail(beer: Beer) {
        val detailFragment = BeerDetailFragment()
        supportFragmentManager.beginTransaction()
            .replace(R.id.fragment_container, detailFragment)
            .addToBackStack(null)
            .commit()
    }

    override fun onBackPressed() {
        super.onBackPressed()

        val bsf = supportFragmentManager.backStackEntryCount
        if(bsf == 0) {
            super.onBackPressed()
        } else {
            supportFragmentManager.popBackStack()
        }
    }


}